> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a schedule

> Returns the details of a specific schedule for an agent.



## OpenAPI

````yaml GET /api/v1/agent/{agentId}/schedules/{scheduleId}
openapi: 3.0.1
info:
  title: Sequentum Cloud API
  description: API endpoints for Sequentum Cloud
  version: v1
servers: []
security:
  - ApiKey: []
    Bearer: []
paths:
  /api/v1/agent/{agentId}/schedules/{scheduleId}:
    get:
      tags:
        - ApiAgent
      summary: Get a specific schedule by ID
      description: Returns the details of a specific schedule for an agent.
      parameters:
        - name: agentId
          in: path
          description: The ID of the agent
          required: true
          schema:
            type: integer
            format: int32
        - name: scheduleId
          in: path
          description: The ID of the schedule
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Returns the schedule details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentScheduleApiModel'
        '401':
          description: If the API key is missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: If the agent or schedule is not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    AgentScheduleApiModel:
      type: object
      properties:
        id:
          type: integer
          format: int64
        configId:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        schedule:
          type: string
          nullable: true
        localSchedule:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        nextRunTime:
          type: string
          format: date-time
          nullable: true
        startTime:
          type: string
          format: date-time
          nullable: true
        scheduleType:
          $ref: '#/components/schemas/ScheduleType'
        isEnabled:
          type: boolean
        runEveryCount:
          type: integer
          format: int32
          nullable: true
        runEveryPeriod:
          type: integer
          format: int32
          nullable: true
        inputParameters:
          type: string
          nullable: true
        parallelism:
          type: integer
          format: int32
          nullable: true
        parallelMaxConcurrency:
          type: integer
          format: int32
          nullable: true
        parallelExport:
          $ref: '#/components/schemas/ParallelExport'
        proxyPoolId:
          type: integer
          format: int32
          nullable: true
        serverGroupId:
          type: integer
          format: int32
          nullable: true
        logLevel:
          $ref: '#/components/schemas/LogLevel'
        logMode:
          $ref: '#/components/schemas/LogMode'
        isExclusive:
          type: boolean
        isWaitOnFailure:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      additionalProperties: false
      description: Represents a scheduled task for an agent in the External API
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ScheduleType:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: '`0` = `None`; `1` = `RunOnce`; `2` = `RunEvery`; `3` = `CRON`'
      format: int32
    ParallelExport:
      enum:
        - Combined
        - Separated
      type: string
      description: '`0` = `Combined`; `1` = `Separated`'
    LogLevel:
      enum:
        - Fatal
        - Error
        - Warning
        - Info
      type: string
      description: '`0` = `Fatal`; `1` = `Error`; `2` = `Warning`; `3` = `Info`'
    LogMode:
      enum:
        - Text
        - TextAndHtml
      type: string
      description: '`0` = `Text`; `1` = `TextAndHtml`'
  securitySchemes:
    ApiKey:
      type: apiKey
      description: >-
        API Key authorization header. Example: "Authorization: ApiKey
        {your-api-key}"
      name: Authorization
      in: header
    Bearer:
      type: http
      description: 'OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"'
      scheme: bearer
      bearerFormat: JWT

````